<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2021 rel. 3 (x64) (http://www.altova.com) by VASILIOS PERGIOUDAKIS (CYBERCE S.A.) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.aade.gr/fuel/inoutflow/tankbalm" xmlns:common="http://www.aade.gr/fuel/inoutflow/common" targetNamespace="http://www.aade.gr/fuel/inoutflow/tankbalm" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://www.aade.gr/fuel/inoutflow/common" schemaLocation="../common/BasicEntities.xsd"/>
	<xs:element name="TankBalanceMonthRequest">
		<xs:annotation>
			<xs:documentation>Δελτίο Ισοζυγίου Δεξαμενής Μηνός</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="TankBalanceMonth" type="TankBalanceMonthType"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="TicketBMType">
		<xs:complexContent>
			<xs:extension base="common:TankBalanceType">
				<xs:sequence>
					<xs:element name="TotalInflows" nillable="false">
						<xs:annotation>
							<xs:documentation>Ο ανηγμένος στους 15ο C ή σε θερμοκρασία αναφοράς του εκάστοτε μετρούμενου ενεργειακού προϊόντος, όγκος για το σύνολο των εισροών στη δεξαμενή μέσα στη χρονική περίοδο αναφοράς</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="Difference" nillable="false">
						<xs:annotation>
							<xs:documentation>Μεταβολή Όγκου</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="TotalRestOutflows" nillable="false">
						<xs:annotation>
							<xs:documentation>Η εξαχθείσα ποσότητα από τη δεξαμενή για το σύνολο των λοιπών κινήσεων και βαθμονόμησης μετρητών μέσα στη χρονική περίοδο αναφοράς</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
					<xs:element name="TotalMeasurementOutflows" nillable="false">
						<xs:annotation>
							<xs:documentation>Ο ανηγμένος στους 15ο C ή σε θερμοκρασία αναφοράς του εκάστοτε μετρούμενου ενεργειακού προϊόντος συνολικός όγκος των εκροών με προμέτρηση – επιμέτρηση, κατά την χρονική περίοδο αναφοράς</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:decimal">
								<xs:fractionDigits value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="TankBMType">
		<xs:complexContent>
			<xs:extension base="common:TankBasicType">
				<xs:sequence>
					<xs:element name="Type" nillable="false">
						<xs:annotation>
							<xs:documentation>Ένδειξη για το αν η δεξαμενη αφορά σε Φορολογική Αποθήκη ή Αποθήκη Τελωνειακής Αποταμίευσης
							</xs:documentation>
						</xs:annotation>
						<xs:simpleType>
							<xs:restriction base="xs:string">
								<xs:length value="1"/>
								<xs:pattern value="1"/>
								<xs:pattern value="2"/>
							</xs:restriction>
						</xs:simpleType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="MeasureBMType">
		<xs:complexContent>
			<xs:extension base="common:MeasureBasicType">
				<xs:sequence>
					<xs:element name="Fuel" type="common:FuelBasicType"/>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="MeterReportBMType">
		<xs:sequence>
			<xs:element name="Code" type="xs:string" nillable="false">
				<xs:annotation>
					<xs:documentation>Αριθμός Μητρώου Μετρητή (από Μητρώο)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Fuel" type="common:FuelBasicType"/>
			<xs:element name="TotalQuantity" nillable="false">
				<xs:annotation>
					<xs:documentation>Το άθροισμα των ανηγμένων στους 15ο C ή σε θερμοκρασία αναφοράς του εκάστοτε μετρούμενου ενεργειακού προϊόντος  εκροών του μετρητή για τη συγκεκριμένη δεξαμενή μέσα στη χρονική περίοδο αναφοράς</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="BridgeReportBMType">
		<xs:sequence>
			<xs:element name="Code" type="xs:string" nillable="false">
				<xs:annotation>
					<xs:documentation>Αριθμός Μητρώου Γεφυροπλάστιγγας (από Μητρώο)</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Fuel" type="common:FuelBasicType"/>
			<xs:element name="TotalQuantity" nillable="false">
				<xs:annotation>
					<xs:documentation>Το άθροισμα των ανηγμένων στους 15ο C ή σε θερμοκρασία αναφοράς του εκάστοτε μετρούμενου ενεργειακού προϊόντος παραδόσεων της γεφυροπλάστιγγας από τη συγκεκριμένη δεξαμενή μέσα στη χρονική περίοδο αναφοράς</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="MeasurementReportBMType">
		<xs:sequence>
			<xs:element name="Fuel" type="common:FuelBasicType"/>
			<xs:element name="TotalOutflows" nillable="false">
				<xs:annotation>
					<xs:documentation>Το άθροισμα των ανηγμένων στους 15ο C ή σε θερμοκρασία αναφοράς του εκάστοτε μετρούμενου ενεργειακού προϊόντος παραδόσεων με προμέτρηση - επιμέτρηση από τη συγκεκριμένη δεξαμενή μέσα στη χρονική περίοδο αναφοράς</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="InflowReportBMType">
		<xs:sequence>
			<xs:element name="Fuel" type="common:FuelBasicType"/>
			<xs:element name="TotalQuantity" nillable="false">
				<xs:annotation>
					<xs:documentation>Το άθροισμα των ανηγμένων στους 15ο C ή σε θερμοκρασία αναφοράς του εκάστοτε μετρούμενου ενεργειακού προϊόντος, όγκων των εισροών στη δεξαμενή μέσα στη χρονική περίοδο αναφοράς</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="TestReportBMType">
		<xs:sequence>
			<xs:element name="Fuel" type="common:FuelBasicType"/>
			<xs:element name="TotalQuantity" nillable="false">
				<xs:annotation>
					<xs:documentation>Η συνολικώς εξαχθείσα ποσότητα από τη δεξαμενή λόγω λοιπών κινήσεων  και, κατά περίπτωση, λόγω βαθμονόμησης μετρητή</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:decimal">
						<xs:fractionDigits value="2"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="TankBalanceMonthType">
		<xs:sequence>
			<xs:element name="Ticket" type="TicketBMType">
				<xs:annotation>
					<xs:documentation>Δελτίο</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="Tank" type="TankBMType">
				<xs:annotation>
					<xs:documentation>Δεξαμενή</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeasurePre" type="MeasureBMType">
				<xs:annotation>
					<xs:documentation>Μέτρηση κατά την έναρξη της περιόδου</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="MeasurePost" type="MeasureBMType">
				<xs:annotation>
					<xs:documentation>Μέτρηση κατά το πέρας της περιόδου</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="InflowReports">
				<xs:annotation>
					<xs:documentation>Κινήσεις Εισροών</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="InflowReport" type="InflowReportBMType" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="TestReports">
				<xs:annotation>
					<xs:documentation>Λοιπές Κινήσεις και κινήσεις Βαθμονόμησης Μετρητών (εκροές)</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="TestReport" type="TestReportBMType" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="MeterReports">
				<xs:annotation>
					<xs:documentation>Κινήσεις Μετρητών (εκροές)</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="MeterReport" type="MeterReportBMType" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="BridgeReports">
				<xs:annotation>
					<xs:documentation>Παραδόσεις με Γεφυροπλάστιγγα (εκροές)</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="BridgeReport" type="BridgeReportBMType" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="MeasurementReports">
				<xs:annotation>
					<xs:documentation>Προμετρήσεις / επιμετρήσεις</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="MeasurementReport" type="MeasurementReportBMType" maxOccurs="unbounded"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:sequence>
	</xs:complexType>
</xs:schema>